For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETAccount Benchmark Quantiles
      • GETAccount Benchmark Scaling
      • GETAccount Available Models
      • GETAccount Benchmark Tradeoff At Scale
      • GETBenchmark Quantiles Route
      • GETBenchmark Tradeoff At Scale Route
      • GETBenchmark Scaling
      • GETBenchmark Available Models
      • GETAvailable Company Categories
      • GETBenchmark Combined Time Series
      • GETBenchmark Time Series Endpoint
      • GETDeal Benchmark Quantiles
      • GETDeal Benchmark Tradeoff At Scale
      • GETColumns Metadata
      • GETModels Metadata
      • GETCategories Metadata
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataBenchmarking

Columns Metadata

GET
/api/v1/data/benchmark/metadata/columns
GET
/api/v1/data/benchmark/metadata/columns
$curl https://app.termina.ai/api/v1/data/benchmark/metadata/columns \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "columns": [
3 {
4 "name": "cmgr12",
5 "friendly_name": "CMGR12",
6 "unit": "dollar",
7 "scaling": "arithmetic",
8 "reverse": false,
9 "cutoff": 10
10 }
11 ],
12 "name_map": {
13 "cmgr12": {
14 "name": "cmgr12",
15 "friendly_name": "CMGR12",
16 "scaling": "arithmetic",
17 "reverse": false
18 }
19 }
20}
Get metadata for all benchmark metrics/columns. Returns comprehensive information about each metric including: - Friendly display names - Units (percent, ratio, scalar, dollar) - Scaling type (geometric or arithmetic) - Performance direction (reverse = lower is better) - Suggested cutoff values
Was this page helpful?
Previous

Models Metadata

Next
Built with

Get metadata for all benchmark metrics/columns.

Returns comprehensive information about each metric including:

  • Friendly display names
  • Units (percent, ratio, scalar, dollar)
  • Scaling type (geometric or arithmetic)
  • Performance direction (reverse = lower is better)
  • Suggested cutoff values

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response
columnslist of objects
A list of column metadata.
name_mapmap from strings to objects
A mapping column names to their metadata for lookup convenience.